DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
TrcStatistic Class Reference

Base class representing a statistic within the "Tractography Results" IOD. More...

Inheritance diagram for TrcStatistic:

## Public Member Functions
| TrcStatistic ()
| Constructor.
virtual | ~TrcStatistic ()
| Destructor, frees memory.
virtual void | clearData ()
| Clears all data.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | get (CodeSequenceMacro &typeCode, CodeSequenceMacro &typeModifierCode, CodeSequenceMacro &unitsCode)
| Get descriptive information of statistic. More...
virtual void | resetRules ()
| Resets rules to their original values.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
virtual OFString | getName () const =0
| Get name of component. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Protected Member Functions
virtual OFCondition | setCommon (const CodeSequenceMacro &typeCode, const CodeSequenceMacro &typeModifierCode, const CodeSequenceMacro &unitsCode)
| Set descriptive information of statistic. More...

## Protected Attributes
CodeSequenceMacro | m_Type
| Single item from Concept Name Code Sequence.
CodeSequenceMacro | m_TypeModifier
| Single item from Modifier Code Sequence.
CodeSequenceMacro | m_Units
| Single item from Unit Code Sequence.
OFVector< Float32 * > | m_Values
| Floating Point Value(s), one for each Track in Track Set (for Track Statistic), or a single value in case of Track Set Statistic.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Friends
class | DcmIODUtil
| Allow read/write functions in DcmIODUtil to access class internals.

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...

## Detailed Description

Base class representing a statistic within the "Tractography Results" IOD.

A statistic is of a certain type and applies to a specific region of interest. For each Track Set and for each track there may be one or more statistics defined. The specializations can be found in classes TrcTracksStatistic and TrcTrackSetStatistic.

## Member Function Documentation

## ◆ get()

virtual OFCondition TrcStatistic::get | ( | CodeSequenceMacro & | typeCode,
|  | CodeSequenceMacro & | typeModifierCode,
|  | CodeSequenceMacro & | unitsCode
| ) |  |
| virtual

Get descriptive information of statistic.

Parameters

  typeCode | Returns type of statistic
  typeModifierCode | Returns region of interest
  unitsCode | Returns physical units of the statistic value

Returns
  EC_Normal if getting was successful, error otherwise.

## ◆ read()

virtual OFCondition TrcStatistic::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read attributes from given item into this class.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

Reimplemented in TrcTrackSetStatistic, and TrcTracksStatistic.

## ◆ setCommon()

virtual OFCondition TrcStatistic::setCommon | ( | const CodeSequenceMacro & | typeCode,
|  | const CodeSequenceMacro & | typeModifierCode,
|  | const CodeSequenceMacro & | unitsCode
| ) |  |
| protected virtual

Set descriptive information of statistic.

Parameters

  typeCode | The type of statistic, DICOM prescribes codes from CID 7263 "Diffusion Tractography Measurement Types"
  typeModifierCode | Defines the region of interest, DICOM prescribes code from CID 7464 "General Region of Interest Measurement Modifiers"
  unitsCode | The physical units of the statistic value, DICOM prescribes code from CID 82 "Measurement Unit" (UCUM).

Returns
  EC_Normal if setting was successful, error otherwise.

## ◆ write()

virtual OFCondition TrcStatistic::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

Reimplemented in TrcTrackSetStatistic, and TrcTracksStatistic.

The documentation for this class was generated from the following file:

- dcmtract/include/dcmtk/dcmtract/trcstatistic.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1